#include "register_types.hpp"
#include "game_mode.hpp"
#include "game_root.hpp"
#include "game_state.hpp"
#include "level.hpp"
#include "player_input.hpp"
#include "spawn_point.hpp"
#include <godot_cpp/core/class_db.hpp>

namespace utils {
void godot_cpp_utils_register_types() {
    GDREGISTER_RUNTIME_CLASS(utils::GameMode);
    GDREGISTER_RUNTIME_CLASS(utils::GameRoot3D);
    GDREGISTER_CLASS(utils::GameState);
    GDREGISTER_RUNTIME_CLASS(utils::Level3D);
    GDREGISTER_RUNTIME_CLASS(utils::PlayerInput);
    GDREGISTER_RUNTIME_CLASS(utils::SpawnPoint3D);
}
}
